Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 424 - /boot/module-info problem
Summary: /boot/module-info problem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-15 06:17 UTC by Steve Wills
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-17 11:53:44 UTC


Attachments (Terms of Use)

Description Steve Wills 1998-12-15 06:17:42 UTC
the /boot/module-info-<kernelversion> file doesn't contain
any reference to the bpcd.o module (used for back pack
cdroms). Because of this, it is not listed in the list of
available modules in kernelcfg.

Comment 1 David Lawrence 1998-12-22 23:11:59 UTC
I have verified this bug to be true. The bpcd is a module that is
available with 5.2 but is not available to the kernelcfg application.

Comment 2 Steve Wills 1999-01-06 17:50:59 UTC
Additionally, /boot/module-info-2.0.36-0.7 has the entry:

# NOT YET
MODULARIZED!
#lance
#
eth
#       "AMD LANCE: Allied Telesis AT1500, HP J2405A, most
NE2100/clone"

Yet the kernel defintly has this as a module.

It should read

lance
        eth
        "AMD LANCE: Allied Telesis AT1500, HP J2405A, most
NE2100/clone"
        io "Base I/O address" "0x[0-9a-fA-F]+"

It may also need a line
        irq "IRQ level" "[0-9]+"

Comment 3 Michael K. Johnson 1999-03-23 22:47:59 UTC
Cristian, he's right, can you fix this the next time you build a
kernel package?  No point in building a new kernel just to fix this...


Note You need to log in before you can comment on or make changes to this bug.